* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial
}

body {
    font-family: Arial;
    margin: 0;
    background: #ece24c;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main{
    flex: 1;
}
header {
    background: black;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 40px;
}

nav a {
    color: white;
    margin: 10px;
    text-decoration: none;
}

h2 {
    text-align: center;
    color: #070202;
    margin-top: 50px;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 40px;
    font-weight: 900;
    text-transform: capitalize;
    text-shadow: 2px 2px 2px rgb(19, 16, 18);
}

/*conteneur principal*/
.container {
    width: 90%;
    margin: auto;
}

/*galerie d'images*/
.galerie {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 22px;
    padding: 20px;
}

/*bloc d'images*/
.image-box {
    background: white;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 4px 10px, rgba(0, 0, 0, 0.4);
    transition: transform 1.6s;
}

/*effets au paysage de la souris*/
.image-box:hover {
    transform: scale(1.09);
}

/*images*/
.image-box img {
    width: 100%;
    height: 250px;
    object-fit: cover;
}

/*text sous image*/
.image-box p {
    text-align: center;
    padding: 10px;
    font-family: bold;
}


footer {
    background: #000;
    color: #fff;
    text-align: center;
    padding: 08px;
    margin-top: 0px
}




/*rendre RESPONSIVE*/
@media(max-width:768px) {
    nav-ul {
        flex-direction: column;
    }

    .cards {
        flex-direction: column;
        align-items: center;
    }

    .galerie img {
        width: 90%;
    }
}


/*rendre adaptable à tout type d'écrans*/

/*images adaptablea*/
img {
    max-width: 100%;
    height: auto;
}

/*tablette*/
@media(max-width:900px) {
    .hero {
        flex-direction: column;
        text-align: center;
        padding: 50px;
    }

    .login-box {
        margin-top: 20px;
    }

    .cards {
        grid-template-columns: 1fr 1fr;
    }
}

/*telephone*/
@media(max-width:600px) {
    header {
        flex-direction: column;
    }

    nav {
        display: flex;
        flex-direction: column;
        background: #000;
        position: absolute;
        top: 70px;
        right: 20px;
        padding: 20px;
    }

    .menu btn {
        display: block;
        font-size: 26px;
        cursor: pointer;
    }

    .hero h1 {
        font-size: 28px;
    }

    .cards {
        grid-template-columns: 1fr;
    }

    .page {
        padding: 20px;
    }
}